Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Zoom Workplace

Zoom One - July 18, 2022

API releaseBug fix

Summary:Added new Webinar branding APIs, Recording webhook events, Zoom Rooms Calendar APIs, Dashboard client versions API, Webinar webhook events. Enhanced Webinar panelist APIs, Webinar branding API, Recording APIs and webhook events, Chat API, Settings APIs, Zoom Room APIs, Chat API, SIP Trunk API, user update validation, Billing APIs, Zoom Room API. Fixed bugs in Meeting Recording Settings API, Dashboard List Meeting Participants API, Dashboard Get Chat Metrics API, Dashboard/Report APIs returning webinar data, Webhook events hiding email addresses.

Added

  • New Webinar branding APIs:

    • POST /v2/webinars/{webinarId}/branding/name_tags

    • PATCH /v2/webinars/{webinarId}/branding/name_tags/{nameTagId}

    • DELETE /v2/webinars/{webinarId}/branding/name_tags

  • New Recording webhook events:

    • recording.batch_recovered

    • recording.batch_deleted

  • New Zoom Rooms Calendar APIs:

    • GET /v2/rooms/calendar/services

    • DELETE /v2/rooms/calendar/services/{serviceId}

    • GET /v2/rooms/calendar/services/{serviceId}/resources

    • POST /v2/rooms/calendar/services/{serviceId}/resources

    • GET /v2/rooms/calendar/services/{serviceId}/resources/{resourceId}

    • DELETE /v2/rooms/calendar/services/{serviceId}/resources/{resourceId}

    • PUT /v2/rooms/calendar/services/{serviceId}/sync

  • NewDashboardAPI:

    • GET /v2/metrics/client_versions
  • New Webinar webhook events:

    • meeting.participant_phone_callout_ringing

    • meeting.participant_phone_callout_accepted

    • meeting.participant_phone_callout_rejected

    • meeting.participant_phone_callout_missed

Enhancements

  • Newname_tag_id,name_tag_pronouns,name_tag_description, andname_tag_namerequest and response fields in the following Webinar API:

    • POST /v2/webinars/{webinarId}/panelists
  • Newname_tagsresponse field in the following Webinar API:

    • GET /v2/webinars/{webinarId}/branding
  • New audio interpretation file (recording_type=audio_interpretation) in the following Recording API and Webhook events:

    • GET /v2/meetings/{meetingId}/recordings

    • recording.completed

    • recording.deleted

    • recording.trashed

    • recording.recovered

  • Newexclude_child_messagerequest field in Chat API:

    • GET /v2/users/{userId}/messages
  • Newparticipants_share_simultaneouslyfield in the following Settings APIs:

    • GET /v2/accounts/{accountId}/settings

    • PATCH /v2/accounts/{accountId}/settings

    • GET /v2/groups/{groupId}/settings

    • PATCH /v2/groups/{groupId}/settings

    • GET /v2/users/{userId}/settings

    • PATCH /v2/users/{userId}/settings

  • Newremote_supportfield in the following Zoom Room APIs:

    • GET /v2/rooms/{roomId}/settings

    • PATCH /v2/rooms/{roomId}/settings

  • New enum value4oftypefield in the Chat API:

    • POST /v2/chat/users/{userId}/channels
  • Newinclude_bot_messagerequest field in the Chat API:

    • GET /v2/report/chat/sessions/{sessionId}
  • Newbot_messageresponse field in the Chat API:

    • GET /v2/report/chat/sessions/{sessionId}
  • Newassigned_accountsresponse field in the following SIP Trunk API:

    • GET /v2/accounts/{accountId}/sip_trunk/internal_numbers
  • Add a new validation that the length of fielddeptcannot exceed 128 in the following Update a user API:

    • PATCH /v2/users/{userId}
  • Support new Zoom Whiteboard add-on plans in the Billing APIs:

    • POST /v2/accounts/{accountId}/plans/addons

    • PUT /v2/accounts/{accountId}/plans/addons

    • PATCH /v2/accounts/{accountId}/plans/addons/status

  • Exclude expired plans in the response for plan usage in the following Billing API

    • GET /v2/accounts/{accountId}/plans/usage
  • Support removing calendar resource from Zoom Room in the following Zoom Room API

    • PATCH /v2/rooms/{roomId}

Bug Fixes

  • Fix bug where thetopicfield was missing in the Meeting Recording Settings API:

    • GET /v2/meetings/{meetingId}/recordings/settings
  • Fix bug thattotal_recordsfield is incorrect in the Dashboard List Meeting Participants API:

    • GET /v2/metrics/meetings/{meetingId}/participants
  • Fix bug that the message count is incorrect in the Dashboard Get Chat Metrics API:

    • GET /v2/metrics/chat
  • Fix bug where the Dashboard/Report APIs returned webinar data:

    • GET /v2/metrics/meetings

    • GET /v2/report/users/{userId}/meetings

  • Hide email addresses for users flagged as guests in the following Webhook events

    • meeting.chat_message_sent

    • webinar.chat_message_sent